import { AuthProvider } from 'ataraxia';
import { AbstractTransport, TransportOptions } from 'ataraxia/transport';
/**
 * Options that can be used for a Hyperswarm transport.
 */
export interface HyperswarmTransportOptions {
    topic: string;
    /**
     * Authentication providers to use for this transport.
     */
    authentication: ReadonlyArray<AuthProvider>;
}
/**
 * Hyperswarm based transport.
 */
export declare class HyperswarmTransport extends AbstractTransport {
    private readonly options;
    private topic?;
    private swarm?;
    constructor(options: HyperswarmTransportOptions);
    start(options: TransportOptions): Promise<boolean>;
    stop(): Promise<boolean>;
}
//# sourceMappingURL=HyperswarmTransport.d.ts.map